Skip to navigation

Add Checkout Billing Address

Adds a billing address to an existing checkout.

Required Fields

  • email
  • country_code

To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the version field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

checkoutIdstringRequired

ID of the checkout; the same as the cart ID.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
emailstringRequired
country_codestringRequired
first_namestringOptional
last_namestringOptional
companystringOptional
address1stringOptional
address2stringOptional
citystringOptional
state_or_provincestringOptional
Represents state or province.
state_or_province_codestringOptional
postal_codestringOptional
phonestringOptionalformat: "^\+?[1-9]\d{1,14}(x\d{1-5})?$"
custom_fieldslist of objectsOptional

You can retrieve custom fields from the Get Form Fields endpoint.

versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

409
Conflict Error